# GMScreen Contributing

## Project Setup

### Dependencies

- [mise-en-place](https://mise.jdx.dev/) globally installed
- `mise use` will install tools such as `bun` and potentially more

### Stack

- Bun (Serverside JS Runner, Server)
- LibSQL (SQLite replacement, database)
  - Drizzle
  - DrizzleKit

### Updating Data

Data is stored in `./db.sqlite`

To update it, modify the files in `./src/db` and run `bun src/db/index.ts`.
